Qt 5.6 | Qt Print Support | C++ Classes | QPrinterInfo

Qt 5.6.2 Reference Documentation

# Obsolete Members for QPrinterInfo

The following members of class QPrinterInfo are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QList<QPrinter::PaperSize> | supportedPaperSizes() const
`(obsolete)` QList<QPair<QString, QSizeF> > | supportedSizesWithNames() const

## Member Function Documentation

### QList<QPrinter::PaperSize> QPrinterInfo::supportedPaperSizes() const

Returns a list of supported paper sizes by the printer.

Not all printer drivers support this query, so the list may be empty.

This function was introduced in Qt 4.4.

### QList<QPair<QString, QSizeF> > QPrinterInfo::supportedSizesWithNames() const

Returns a list of all the paper names supported by the driver with the corresponding size in millimeters.

Not all printer drivers support this query, so the list may be empty.

This function was introduced in Qt 5.1.